#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const __1 = require("..");
const constants_1 = require("../constants");
program.option('-m, --mac', 'Create Electron dist for macOS.');
program.option('-l, --linux', 'Create Electron dist for Linux.');
program.option('-w, --windows', 'Create Electron dist for Windows.');
program.option('-o, --output <path>', 'Output path of the created Electron runtime launcher. Defaults to `./electron-runtime`.');
program.option('--projectDir, --project <path>', 'The path to project directory. Defaults to current working directory.');
program.parse(process.argv);
(function () {
    return __awaiter(this, void 0, void 0, function* () {
        if (program.mac || program.windows || program.linux) {
            if (program.mac) {
                yield __1.downloadBinaries('darwin');
                yield __1.createDistMac(program.projectDir ? program.projectDir : process.cwd(), program.output ? program.output : constants_1.DEFAULT_DEST);
            }
            if (program.windows) {
                yield __1.downloadBinaries('win32');
                yield __1.createDistWindows(program.projectDir ? program.projectDir : process.cwd(), program.output ? program.output : constants_1.DEFAULT_DEST);
            }
            if (program.linux) {
                yield __1.downloadBinaries('linux');
                yield __1.createDistLinux(program.projectDir ? program.projectDir : process.cwd(), program.output ? program.output : constants_1.DEFAULT_DEST);
            }
            console.log('Done!');
        }
    });
})();
//# sourceMappingURL=index.js.map